## curseofwar 1.1.8

=== Makefile ===
SHELL = /bin/sh
CC      = gcc
INSTALL = install
EXEC   = curseofwar

PREFIX ?= /usr
MANPREFIX = $(PREFIX)/share/man

BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(MANPREFIX)/man6
DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/$(EXEC)

SRCS    = $(wildcard *.c)
HDRS    = $(wildcard *.h)
OBJS    = $(patsubst %.c,%.o,$(SRCS))
EXECS = $(EXEC)
CFLAGS  += -Wall -O2
LDLIBS += -lncurses -lm 

VERSION=`cat VERSION`

.PHONY: all clean cleanall

all: $(EXEC)

clean:
	-rm -f $(OBJS) $(EXECS)

%.o: %.c $(HDRS)
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $(patsubst %.o,%.c,$@)

$(EXEC): $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) grid.o state.o king.o network.o output.o client.o server.o main.o $(LDLIBS) -o $(EXEC)

install: all
	$(INSTALL) -m 755 -D $(EXEC) $(BINDIR)/$(EXEC)
	$(INSTALL) -m 755 -d $(MANDIR)
	-sed "s/%VERSION%/$(VERSION)/g" $(EXEC).6 | gzip -c > $(MANDIR)/$(EXEC).6.gz
	-chmod 644 $(MANDIR)/$(EXEC).6.gz
	$(INSTALL) -m 755 -d $(DOCDIR)
	-cat CHANGELOG | gzip -c > $(DOCDIR)/changelog.gz
	-chmod 644 $(DOCDIR)/changelog.gz

install-strip:
	$(INSTALL) -D -s $(EXEC) $(BINDIR)/$(EXEC)

uninstall:
	-rm $(BINDIR)/$(EXEC)
	-rm -f $(MANDIR)/$(EXEC).6.gz
	-rm $(DOCDIR)/changelog.gz

show-path:
	@echo would install to ${BINDIR}

=== debian/changelog ===
curseofwar (1.1.8-3build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:14:21 +0000

curseofwar (1.1.8-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:11 +0000

curseofwar (1.1.8-3build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:21 +0000

curseofwar (1.1.8-3) unstable; urgency=low

  * Initial release (Closes: #717348)

 -- Anton Balashov <sicness@darklogic.ru>  Sun, 28 Jul 2013 10:08:35 +0400

=== debian/control ===
Source: curseofwar
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Balashov <sicness@darklogic.ru>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.4
Homepage: https://github.com/a-nikolaev/curseofwar/wiki

Package: curseofwar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast-paced  action  strategy  game for Linux based on ncurses
 Unlike  most  RTS,  you  are  not  controlling units, but focus on high-level
 strategic  planning:  Building infrastructure, securing resources, and moving
 your  armies. The core game mechanics turns out to be quite close to WWI-WWII
 type   of   warfare,   however,   there  is  no  explicit  reference  to  any
 historical period.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=debian/curseofwar

override_dh_auto_install:
	make DESTDIR=$(DESTDIR) BINDIR=$(DESTDIR)/usr/games install
	install -D -m 644 pixmaps/curseofwar-32x32.xpm $(DESTDIR)/usr/share/pixmaps/curseofwar-32x32.xpm
	install -D -m 644 pixmaps/curseofwar-16x16.xpm $(DESTDIR)/usr/share/pixmaps/curseofwar-16x16.xpm

%:
	dh $@

## curseofwar 1.2.0

=== Makefile ===
SHELL = /bin/sh
CC      = gcc
INSTALL = install
EXEC_NCURSES = curseofwar
EXEC_SDL = curseofwar-sdl

GAME_TITLE = $(EXEC_NCURSES)

PREFIX ?= /usr
MANPREFIX = $(PREFIX)/share/man

BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(MANPREFIX)/man6
DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/$(GAME_TITLE)

# Game resources directories
INSTALL_DATA ?= $(DESTDIR)$(PREFIX)/share/$(GAME_TITLE)
IMAGESDIR = images

# Sources
SRCS_INDEP = grid.c state.c king.c network.c client.c server.c output-common.c path.c main-common.c
SRCS_NCURSES = output.c main.c 
SRCS_SDL = output-sdl.c main-sdl.c

HDRS_INDEP = common.h messaging.h $(SRCS_INDEP:.c=.h)
HDRS_NCURSES = output.h
HDRS_SDL = output-sdl.h

OBJS_INDEP = $(SRCS_INDEP:.c=.o)
OBJS_NCURSES = $(SRCS_NCURSES:.c=.o)
OBJS_SDL = $(SRCS_SDL:.c=.o)

EXECS = $(EXEC_NCURSES) $(EXEC_SDL)
CFLAGS += -Wall -O2
LDLIBS += -lm

# Common sources and header
OBJS = $(OBJS_INDEP) 
HDRS = $(HDRS_INDEP) 
# SDL or ncurses
ifdef SDL
 OBJS += $(OBJS_SDL)
 HDRS += $(HDRS_SDL)
 CFLAGS += $(shell sdl-config --cflags)
 LDLIBS += $(shell sdl-config --libs)
 EXEC = $(EXEC_SDL)
 # Version-specific
 INSTALL_OPTIONAL = install-sdl-manpage
 UNINSTALL_OPTIONAL = uninstall-sdl-manpage
 ifdef INSTALL_DATA
  INSTALL_OPTIONAL += install-images
  UNINSTALL_OPTIONAL += uninstall-images
 endif
else
 OBJS += $(OBJS_NCURSES)
 HDRS += $(HDRS_NCURSES)
 LDLIBS += -lncurses
 EXEC = $(EXEC_NCURSES)
 # Version-specific
 INSTALL_OPTIONAL = install-manpage install-changelog
 UNINSTALL_OPTIONAL = uninstall-manpage uninstall-changelog
endif

VERSION=$(shell cat VERSION)
CPPFLAGS += -DVERSION="\"$(VERSION)\""

.PHONY: all clean cleanall

# Build
all: $(EXEC)

clean:
	-rm -f $(OBJS_INDEP) $(OBJS_NCURSES) $(OBJS_SDL) $(EXECS)

%.o: %.c $(HDRS)  
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<

$(EXEC): $(OBJS) $(HDRS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LDLIBS) -o $(EXEC)


# Install
install-manpage:
	$(INSTALL) -m 755 -d $(MANDIR)
	-sed "s/%VERSION%/$(VERSION)/g" $(GAME_TITLE).6 | gzip -c > $(MANDIR)/$(GAME_TITLE).6.gz
	-chmod 644 $(MANDIR)/$(GAME_TITLE).6.gz
install-changelog:
	$(INSTALL) -m 755 -d $(DOCDIR)
	-cat CHANGELOG | gzip -c > $(DOCDIR)/changelog.gz
	-chmod 644 $(DOCDIR)/changelog.gz
install-images:
	$(INSTALL) -m 755 -d $(INSTALL_DATA)/$(IMAGESDIR)
	for file in $(IMAGESDIR)/*; do \
		$(INSTALL) -m 0644 $$file $(INSTALL_DATA)/$(IMAGESDIR); \
	done
install-sdl-manpage:
	$(INSTALL) -m 755 -d $(MANDIR)
	-sed "s/%VERSION%/$(VERSION)/g" $(EXEC_SDL).6 | gzip -c > $(MANDIR)/$(EXEC_SDL).6.gz
	-chmod 644 $(MANDIR)/$(GAME_TITLE).6.gz

install: all $(INSTALL_OPTIONAL) 
	$(INSTALL) -m 755 -D $(EXEC) $(BINDIR)/$(EXEC)

# Uninstall
uninstall-manpage:
	-rm -f $(MANDIR)/$(GAME_TITLE).6.gz
uninstall-changelog:
	-rm $(DOCDIR)/changelog.gz
	-rmdir $(DOCDIR)

uninstall-images:
	-rm -f $(INSTALL_DATA)/$(IMAGESDIR)/*
	-rmdir $(INSTALL_DATA)/$(IMAGESDIR)
	-rmdir $(INSTALL_DATA)
uninstall-sdl-manpage:
	-rm -f $(MANDIR)/$(EXEC_SDL).6.gz

uninstall: $(UNINSTALL_OPTIONAL)
	-rm -f $(BINDIR)/$(EXEC)

show-path:
	@echo would install to ${BINDIR}

## curseofwar 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

PROJECT( curseofwar )

find_package(SDL)
find_package(Curses)

option(CW_NCURSE_FRONTEND "Compile the NCurses frontend" ON)

if(SDL_FOUND)
    option(CW_SDL_FRONTEND "Compile the SDL frontend" ON)
    option(CW_SDL_MULTIPLAYER "Include multiplayer mode support in the SDL frontend" ON)
endif(SDL_FOUND)



SET (SOURCE_COMMON     grid.c 
                       state.c 
                       king.c 
                       output-common.c 
                       path.c 
                       main-common.c)

SET (SOURCE_SDL     output-sdl.c
                    main-sdl.c)

SET (SOURCE_NCURSES output.c
                    main.c)


SET (SOURCE_NETWORK network.c
                    client.c
                    server.c)

SET (SOURCES ${SOURCE_COMMON} ${SOURCE_SDL} ${SOURCE_NCURSES} ${SOURCE_NETWORK})                    
set_source_files_properties( ${SOURCES} PROPERTIES LANGUAGE "CXX" )                    

if(WIN32)
    # Windows includes the math lib by default, no need to add them
    SET(COMMON_LIBS)
else(WIN32)
    SET(COMMON_LIBS m)
endif(WIN32)

if(CW_NCURSE_FRONTEND)
    ADD_EXECUTABLE(curseofwar ${SOURCE_COMMON} ${SOURCE_NCURSES} ${SOURCE_NETWORK})
    TARGET_LINK_LIBRARIES( curseofwar ${COMMON_LIBS} ncurses )
endif(CW_NCURSE_FRONTEND)

if(CW_SDL_FRONTEND)
    include_directories(  ${SDL_INCLUDE_DIR}
                          ${INCLUDE_DIRECTORIES}  )
    
    if(CW_SDL_MULTIPLAYER)
        SET(SOURCE_OPTIONAL ${SOURCE_NETWORK})
    endif(CW_SDL_MULTIPLAYER)

    ADD_EXECUTABLE(curseofwar-sdl ${SOURCE_COMMON} ${SOURCE_OPTIONAL} ${SOURCE_SDL})
    if(WIN32)
        # SDL under windows is more comfortable in a console application instead of a windowed one
        set_target_properties(curseofwar-sdl PROPERTIES LINK_FLAGS "/SUBSYSTEM:CONSOLE")
    endif(WIN32)    
    TARGET_LINK_LIBRARIES(curseofwar-sdl ${COMMON_LIBS} ${SDL_LIBRARY} )
endif(CW_SDL_FRONTEND)

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,8 @@
 VERSION=$(shell cat VERSION)
 CPPFLAGS += -DVERSION="\"$(VERSION)\""
 
+CPPFLAGS += -DINSTALL_DATA="\"$(INSTALL_DATA)/\""
+
 .PHONY: all clean cleanall
 
 # Build

=== debian/changelog ===
curseofwar (1.3.0-3) unstable; urgency=medium

  * Team Upload
  * Drop "Rules-Requires-Root: no": it is the default now
  * d/rules: move DH catch-all to the top for readability
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

  [ Helmut Grohne ]
  * Fix FTCBFS: Build curseofwar-sdl via dh_auto_build. (Closes: #1098774)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 19 Jan 2026 16:30:38 +0100

curseofwar (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2025 13:39:26 +0100

curseofwar (1.3.0-1) unstable; urgency=low

  * Team upload.

  [ Anton Balashov ]
  * Split on 3 packages: SDL, ncurses, common
  * Added Vcs-* to the control file

  [ Simon McVittie ]
  * Update Vcs-* for migration to salsa.debian.org

  [ Andreas Tille ]
  * New upstream version
    Closes: #894440
  * Package was found in Debian Games team repository thus make the team
    the Maintainer
  * Fix spelling and spacing of descriptions
    Closes: #873536
  * Fix watch file
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * d/rules: This is no example
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Provide desktop files
    Closes: #737854
  * Drop Deban menu files since replaced by desktop files

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2024 20:34:57 +0100

curseofwar (1.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957118)
    - Use upstream patch, thanks to Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Aug 2020 21:07:49 +0100

=== debian/control ===
Source: curseofwar
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Anton Balashov <sicness@darklogic.ru>,
Build-Depends:
 debhelper-compat (= 13),
 imagemagick | graphicsmagick,
 libncurses-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/a-nikolaev/curseofwar/wiki
Vcs-Git: https://salsa.debian.org/games-team/curseofwar.git
Vcs-Browser: https://salsa.debian.org/games-team/curseofwar

Package: curseofwar-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 curseofwar | curseofwar-sdl,
Description: common files for fast-paced action strategy curseofwar
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 Package contains common files for curseofwar front-ends

Package: curseofwar
Architecture: any
Provides:
 curseofwar,
Depends:
 curseofwar-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast-paced action strategy game for Linux based on ncurses
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 This version has a multiplayer and uses text user interface based on ncurses

Package: curseofwar-sdl
Architecture: any
Provides:
 curseofwar,
Depends:
 curseofwar-common (= ${source:Version}),
 libsdl1.2debian,
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast-paced action strategy game for Linux based on SDL
 Unlike most RTS, you are not controlling units, but focus on high-level
 strategic planning: Building infrastructure, securing resources, and moving
 your armies. The core game mechanics turns out to be quite close to WWI-WWII
 type of warfare, however, there is no explicit reference to any
 historical period.
 .
 This version uses GUI based on SDL and don't have a multiplayer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR_CONSOLE=debian/curseofwar
DESTDIR_SDL=debian/curseofwar-sdl
DESTDIR_COMMON=debian/curseofwar-common

%:
	dh $@

execute_after_dh_auto_build:
	dh_auto_build -- SDL=yes

override_dh_auto_install:
	# curseofwar-console
	make DESTDIR=$(DESTDIR_CONSOLE) BINDIR=$(DESTDIR_CONSOLE)/usr/games install
	# curseofwar-sdl
	make DESTDIR=$(DESTDIR_SDL) BINDIR=$(DESTDIR_SDL)/usr/games install SDL=yes INSTALL_DATA=$(DESTDIR_SDL)/usr/share/curseofwar-sdl/
	# curseofwar-common
	mkdir -p $(DESTDIR_COMMON)/usr/share/icons/HighContrast/16x16/apps
	mkdir -p $(DESTDIR_COMMON)/usr/share/icons/HighContrast/32x32/apps
	convert pixmaps/curseofwar-16x16.xpm $(DESTDIR_COMMON)/usr/share/icons/HighContrast/16x16/apps/curseofwar.png
	convert pixmaps/curseofwar-32x32.xpm $(DESTDIR_COMMON)/usr/share/icons/HighContrast/32x32/apps/curseofwar.png

=== debian/watch ===
Version: 5

Template: GitHub
Owner: a-nikolaev
Project: curseofwar
